import 'dart:async';

import 'package:flutter/services.dart';

class RingtoneHelper {
  static const MethodChannel _channel =
      const MethodChannel('ringtone_helper');

  static Future<String> getAlarmFolderName() async {
    return await _channel.invokeMethod('getAlarmFolderName');
  }

  static Future<String> getRingtoneFolderName() async {
    return await _channel.invokeMethod('getRingtoneFolderName');
  }

  static Future<String> getNotificationFolderName() async {
    return await _channel.invokeMethod('getNotificationFolderName');
  }

  static Future<bool> openSoundSettings() async {
    return await _channel.invokeMethod('openSoundSettings');
  }

  static Future<bool> scanFile(String filePath) async {
     return await _channel.invokeMethod('scanFile', {"filePath":filePath});
  }
}
